com.fasterxml.jackson.databind.ext

## Class CoreXMLSerializers

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.Serializers.Base
  - - com.fasterxml.jackson.databind.ext.CoreXMLSerializers

- All Implemented Interfaces:
    Serializers

      public class CoreXMLSerializers
      extends Serializers.Base

  Provider for serializers of XML types that are part of full JDK 1.5, but that some alleged 1.5 platforms are missing (Android, GAE). And for this reason these are added using more dynamic mechanism.

  Note: since many of classes defined are abstract, caller must take care not to just use straight equivalency check but rather consider subclassing as well.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CoreXMLSerializers.XMLGregorianCalendarSerializer`

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.ser.Serializers

      `Serializers.Base`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreXMLSerializers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonSerializer<?>` | `findSerializer(SerializationConfig config, JavaType type, BeanDescription beanDesc)` Method called by serialization framework first time a serializer is needed for specified type, which is not of a container or reference type (for which other methods are called).

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.Serializers.Base

      `findArraySerializer, findCollectionLikeSerializer, findCollectionSerializer, findMapLikeSerializer, findMapSerializer, findReferenceSerializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoreXMLSerializers

          public CoreXMLSerializers()

  - ### Method Detail

    - #### findSerializer

          public JsonSerializer<?> findSerializer(SerializationConfig config,
                                         JavaType type,
                                         BeanDescription beanDesc)

      Description copied from interface: `Serializers`
      Method called by serialization framework first time a serializer is needed for specified type, which is not of a container or reference type (for which other methods are called).
      Specified by:
        `findSerializer` in interface `Serializers`
      Overrides:
        `findSerializer` in class `Serializers.Base`
      Parameters:
        `config` - Serialization configuration in use
        `type` - Fully resolved type of instances to serialize
        `beanDesc` - Additional information about type
      Returns:
        Configured serializer to use for the type; or null if implementation does not recognize or support type

Copyright © 2008–2016 FasterXML. All rights reserved.